# dkim_sig_getqueries()

[back to index]

SYNOPSIS

    #include <dkim.h>

    DKIM_STAT dkim_sig_getqueries(
    	DKIM *dkim,
    	DKIM_SIGINFO *sig,
    	DKIM_QUERYINFO ***qi,
    	unsigned int *nqi
    );

Given a signature handle, return the DNS query or queries that would be required to complete verification of that signature.

DESCRIPTION

Called When | `dkim_sig_getqueries()` can be called at any time after signature handles are completely received and stored via a call to `dkim_eoh()`.

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific handle, previously returned by `dkim_verify()`.

sig | Signature-specific handle, acquired from `dkim_getsiglist()`.
qi | An array of `DKIM_QUERYINFO` handles allocated by the the library to return the set of required DNS queries.
nqi | The number of elements in the `qi` array.

RETURN VALUES

Value | Description
--- | ---
DKIM_STAT_NORESOURCE | Memory could not be allocated for the new array.
DKIM_STAT_OK | The array was allocated and returned.

NOTES

- The caller is responsible for deallocating the array and each element of it returned function.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2011, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.